[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEncoding.Default

Default codepage

## Declaration

Source position: sysencodingh.inc line 103

`public property TEncoding.Default : TEncoding read GetDefault;`

## Description

Defaulte is the default encoding instance (it equals the ANSI codepage). This instance is created and maintained by the system, it should not be freed.

if the DefaultSystemCodePage changes, you should call TEncoding.FreeEncodings to regenerate the default encoding using the new code page.

## See also

TEncoding.ANSI |  | Ansi encoding instance
TEncoding.ASCII |  | ASCII encoding instance
TEncoding.BigEndianUnicode |  | Big-endian Unicode (UTF16BE) encoding instance
TEncoding.Unicode |  | UTF16 encoding instance
TEncoding.UTF7 |  | UTF7 encoding instance
TEncoding.UTF8 |  | UTF8 encoding instance